# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.media.mediarss
Class MediaContent

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.media.mediarss.AbstractMediaResource
                  com.google.gdata.data.media.mediarss.MediaContent

All Implemented Interfaces:
  Extension

Direct Known Subclasses:
  YouTubeMediaContent

    public class MediaContent

extends AbstractMediaResource

`<media:content>`. See description on http://search.yahoo.com/mrss.

Nested Class Summary
`static class` `MediaContent.Expression` Values for the expression attribute: sample, full and nonstop.

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`MediaContent()`

Method Summary
`protected void` `consumeAttributes(AttributeHelper attrsHelper)` Subclasses can overwrite this method to parse extra attributes.
`int` `getBitrate()`
`int` `getChannels()`
`static ExtensionDescription` `getDefaultDescription(boolean repeat)` Describes the tag to an `ExtensionProfile`.
`int` `getDuration()`
`MediaContent.Expression` `getExpression()`
`long` `getFileSize()`
`int` `getFramerate()`
`java.lang.String` `getLanguage()`
`java.lang.String` `getMedium()`
`int` `getSamplingrate()`
`java.lang.String` `getType()`
`boolean` `isDefault()`
`protected void` `putAttributes(AttributeGenerator generator)` Subclasses can overwrite this method to add extra attributes.
`void` `setBitrate(int bitrate)`
`void` `setChannels(int channels)`
`void` `setDefault(boolean aDefault)`
`void` `setDuration(int duration)`
`void` `setExpression(MediaContent.Expression expression)`
`void` `setFileSize(long fileSize)`
`void` `setFramerate(int framerate)`
`void` `setLanguage(java.lang.String language)`
`void` `setMedium(java.lang.String medium)`
`void` `setSamplingrate(int samplingrate)`
`void` `setType(java.lang.String type)`

Methods inherited from class com.google.gdata.data.media.mediarss.AbstractMediaResource
`getHeight, getUrl, getWidth, setHeight, setUrl, setWidth`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, declareExtensions, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getHandler, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild, visitChildren`

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.gdata.data.Extension
`generate, getHandler`

Constructor Detail

### MediaContent

    public MediaContent()

Method Detail

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription(boolean repeat)

  Describes the tag to an `ExtensionProfile`.

  Parameters:
    `repeat` - if true, the description will be repeatable (MediaContent can be repeated when inside MediaGroup, but not when inside BaseEntry.)

### getBitrate

    public int getBitrate()

### setBitrate

    public void setBitrate(int bitrate)

### getChannels

    public int getChannels()

### setChannels

    public void setChannels(int channels)

### getDuration

    public int getDuration()

### setDuration

    public void setDuration(int duration)

### getLanguage

    public java.lang.String getLanguage()

### setLanguage

    public void setLanguage(java.lang.String language)

### getExpression

    public MediaContent.Expression getExpression()

### setExpression

    public void setExpression(MediaContent.Expression expression)

### getFileSize

    public long getFileSize()

### setFileSize

    public void setFileSize(long fileSize)

### getFramerate

    public int getFramerate()

### setFramerate

    public void setFramerate(int framerate)

### isDefault

    public boolean isDefault()

### setDefault

    public void setDefault(boolean aDefault)

### getMedium

    public java.lang.String getMedium()

### setMedium

    public void setMedium(java.lang.String medium)

### getSamplingrate

    public int getSamplingrate()

### setSamplingrate

    public void setSamplingrate(int samplingrate)

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String type)

### putAttributes

    protected void putAttributes(AttributeGenerator generator)

  Description copied from class: `AbstractMediaResource`
  Subclasses can overwrite this method to add extra attributes.

  Overrides:
    `putAttributes` in class `AbstractMediaResource`
  Parameters:
    `generator` - used to output attributes.

### consumeAttributes

    protected void consumeAttributes(AttributeHelper attrsHelper)
                              throws ParseException

  Description copied from class: `AbstractMediaResource`
  Subclasses can overwrite this method to parse extra attributes.

  Overrides:
    `consumeAttributes` in class `AbstractMediaResource`
  Parameters:
    `attrsHelper` - attribute helper
  Throws:
    `ParseException` - any parsing exception